# Enum AntBuilder.AntMessagePriority

java.lang.Object
java.lang.Enum<AntBuilder.AntMessagePriority>
org.gradle.api.AntBuilder.AntMessagePriority

All Implemented Interfaces:
  `Serializable, Comparable<AntBuilder.AntMessagePriority>, Constable`

Enclosing class:
  `AntBuilder`

public static enum AntBuilder.AntMessagePriority extends Enum<AntBuilder.AntMessagePriority>
Represents the normal Ant message priorities.

Since:
  2.14

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DEBUG`
  `ERROR`
  `INFO`
  `VERBOSE`
  `WARN`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AntBuilder.AntMessagePriority`
  `from(int messagePriority)`
  From.
  `static AntBuilder.AntMessagePriority`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static AntBuilder.AntMessagePriority[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DEBUG

    public static final AntBuilder.AntMessagePriority DEBUG
    Since:
      2.14

  - ### VERBOSE

    public static final AntBuilder.AntMessagePriority VERBOSE
    Since:
      2.14

  - ### INFO

    public static final AntBuilder.AntMessagePriority INFO
    Since:
      2.14

  - ### WARN

    public static final AntBuilder.AntMessagePriority WARN
    Since:
      2.14

  - ### ERROR

    public static final AntBuilder.AntMessagePriority ERROR
    Since:
      2.14

- ## Method Details

  - ### values

    public static AntBuilder.AntMessagePriority[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static AntBuilder.AntMessagePriority valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### from

    public static AntBuilder.AntMessagePriority from(int messagePriority)
    From.
    Since:
      2.14